# PhasicFlow: src/setHelpers/initialize_Control.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

initialize_Control.hpp File Reference
Include dependency graph for initialize_Control.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

| REPORT (0)<<"\nCreating Control repository . . ."<< END_REPORT

## Variables

pFlow::uniquePtr< pFlow::systemControl > | ControlPtr = nullptr
auto & | Control = ControlPtr()

## Function Documentation

## REPORT()

REPORT | ( | 0 |  | ) |

## Variable Documentation

## ControlPtr

ControlPtr = nullptr

Definition at line 28 of file initialize_Control.hpp.

## Control

auto& Control = ControlPtr()

Definition at line 47 of file initialize_Control.hpp.

Referenced by main().